This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 128001 - restarting console mouse services fails and stops mouse in X
restarting console mouse services fails and stops mouse in X
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gpm (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-07-16 06:16 EDT by Michael Schwendt
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.20.1-62
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-19 16:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2004-07-16 06:16:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040625

Description of problem:
Fresh installation of FC3 Test1. Started system-config-mouse (1.2.7-1)
in X to enable 3-buttons for my serial mouse. Clicking "OK" gave the
following and disabled my mouse:

$ system-config-mouse 
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:83:
GtkDeprecationWarning: gtk.mainloop is deprecated, use gtk.main instead
  self.warn(message, DeprecationWarning)
Shutting down console mouse services:                      [  OK  ]
Starting console mouse services:                           [  OK  ]
/usr/lib/python2.3/site-packages/gtk-2.0/gtk/__init__.py:83:
GtkDeprecationWarning: gtk.mainquit is deprecated, use gtk.main_quit
instead
  self.warn(message, DeprecationWarning)

I had to run "service gpm start" manually to get it going again. It's
reproducible in X with gpm alone as every 2nd run of "service gpm
restart" stops the mouse:

# service gpm restart
Shutting down console mouse services:                      [  OK  ]
Starting console mouse services:                           [  OK  ]
  ==> mouse doesn't work anymore
# service gpm restart
Shutting down console mouse services:                      [  OK  ]
Starting console mouse services:                           [  OK  ]
  ==> mouse works again
and so on.


Version-Release number of selected component (if applicable):
gpm-1.20.1-50
Comment 1 Eido Inoue 2004-10-12 15:48:06 EDT
this appears to have been fixed with the config/fallback changes in
55, 56, and 57
Comment 2 Michael Schwendt 2004-10-13 15:02:03 EDT
Well, with 57 my mouse no longer works at all in X. Hence I reopen
this ticket until I learn more about why this is the case.

I see this during service gpm restart and at reboot:

Shutting down console mouse services:                      [  OK  ]
Starting console mouse services: inputattach: can't set line discipline
                                                           [  OK  ]
Downgraded to 54, and after the second service gpm restart my mouse in
X starting working again.

$ cat /etc/sysconfig/gpm 
# Additional options for gpm (e.g. acceleration), device
OPTIONS=""
DEVICE="/dev/input/mice"
MOUSETYPE="exps2"

$ cat /etc/sysconfig/mouse 
FULLNAME="Generic - 3 Button Mouse (serial)"
MOUSETYPE="Microsoft"
XEMU3="no"
XMOUSETYPE="Microsoft"
IMOUSETYPE="ms"
DEVICE=/dev/ttyS0
Comment 3 Eido Inoue 2004-10-19 16:58:18 EDT
The older versions were overriding the MOUSETYPE to exps2 (which is
universal for everything in 2.6 except for serial mice).

Release -62 shouldn't mess with the DEVICE or the MOUSETYPE if they've
already been set in /etc/sysconfig/mouse, so this should be fixed now.
Comment 4 Michael Schwendt 2004-10-20 12:00:40 EDT
Can't confirm. Upgraded to 

$ rpm -q gpm
gpm-1.20.1-62

while being within X, and my mouse stopped working. I then switched to
virtual console to run "service gpm restart", and the mouse in X
stayed dead.

As a work-around I downgraded to 54 again, stopped gpm before
upgrading it to 62. Now I'm back at the original bug report. Every
second "service gpm restart" causes a non-working mouse in X.

Note You need to log in before you can comment on or make changes to this bug.